import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //修改订单
    editOrder(data) {
        return request({
            url: '/order/edit',
            method: 'post',
            data
        })
    },
    //查询订单列表
    inquireorderlist(data) {
        return request({
            url: '/order/list',
            method: 'get',
            params: data
        })
    },
    //查询订单和商品列表
    inquireorderlistAll(data) {
        return request({
            url: '/order/listAll',
            method: 'get',
            params: data
        })
    },
    //获取订单详细信息
    inquireOrderId(data) {
        return request({
            url: '/order/' + data,
            method: 'get'
        })
    },

    //查询订单商品列表
    ordergoodslist(data) {
        return request({
            url: '/order/goods/list',
            method: 'get',
            params: data
        })
    },
    //获取订单商品详细信息
    inquireOrdergoodsId(data) {
        return request({
            url: '/order/goods/' + data,
            method: 'get'
        })
    },
    //查询订单优惠券 列表
    ordercouponlist(data) { 
        return request({
            url: '/order/coupon/list',
            method: 'get',
            params: data
        })
    },
    //查询用户订单数据
    orderlistUserOrder(data) { 
        return request({
            url: '/order/listUserOrder',
            method: 'get',
            params: data
        })
    },
}